<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class QrCodeMail extends Mailable
{
    use Queueable, SerializesModels;

    public $user;
    public $evento;
    public $cantidad;

    public function __construct($user, $evento, $cantidad)
    {
        $this->user = $user;
        $this->evento = $evento;
        $this->cantidad = $cantidad;
    }

    public function build()
    {
        return $this->subject('Tus QRs para el evento: ' . $this->evento->nombre_evento)
                    ->view('emails.qrcodes');
    }
}
